<div class="party-messages" scroll-glue>
  <div class="party-message" ng-class="message.direction === 'incoming' ? 'you' : 'me'" 
      ng-repeat="message in messages">
      <p>
        <span class="party-messages-text" ng-bind-html="::message.content | linky:'_blank' | emoji"></span>
        <span class="message-timestamp">
          <i title="{{message.date | date :'dd-MM-yyyy HH:mm:ss'}}">{{::message.date | chatDateTime:' HH:mm'}}</i><br>
        </span>
      </p>
  </div>
  <div class="party-message" ng-class="message.direction === 'incoming' ? 'you' : 'me'"
       ng-repeat="message in pendingMessages | fromMap ">
      <p>
          <span class="party-messages-text" ng-bind-html="::message.content | linky:'_blank' | emoji"></span>
      </p>
  </div>
</div>
<span class="toast-container"></span>
